- Updates a region configuration with the specified ID.
This method will update an existing region configuration with the specified ID.
The updated region configuration that will be saved.
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The date/time that this record was created, expressed in ISO-8601 date format
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
A number representing the version of this record in the database
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/regionConfigurations/{tenantId}
- https://rolodex.api.rhythmsoftware.comhttps://rolodex.api.rhythmsoftware.com/regionConfigurations/{tenantId}
curl -i -X PUT \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/regionConfigurations/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"default_region_id": "string",
"name": "string",
"notes": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_locked": true,
"sys_version": 0.1,
"zones": [
{
"countries": [
{
"country": "string"
}
],
"enabled": true,
"id": "string",
"name": "string",
"postal_code_ranges": [
{
"end": "string",
"start": "string"
}
],
"region_id": "string",
"states": [
{
"state": "string"
}
],
"type": "country"
}
]
}'The region configuration was updated successfully.
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The date/time that this record was created, expressed in ISO-8601 date format
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
A number representing the version of this record in the database
{ "default_region_id": "string", "name": "string", "notes": "string", "sys_bulk_load_id": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_version": 0.1, "zones": [ { … } ] }